| QxOrm 1.2.2 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Protected Attributes | Private Member Functions | Friends
qx::QxRepositoryX Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::QxRepositoryX : list of all repositories registered using qx::register_repository<T> function More...

`#include <QxRepositoryX.h>`

Inheritance diagram for qx::QxRepositoryX:

List of all members.

## Static Public Member Functions
static IxRepository * | get (const QString &sKey)
## Protected Attributes
QHash< QString, IxRepository * > | m_mapRepositoryX
| Collection of all 'IxRepository' pointer.
QMutex | m_oMutexRepositoryX
| Mutex -> 'QxRepositoryX' is thread-safe.
bool | m_bUnregisterAllRepository
| Flag to know if collection is clearing.
## Private Member Functions
| QxRepositoryX ()
virtual | ~QxRepositoryX ()
void | registerRepository (const QString &sKey, IxRepository *pRepository)
void | unregisterRepository (const QString &sKey)
void | unregisterAllRepository ()
## Friends
class | IxRepository
class | QxSingleton< QxRepositoryX >

## Detailed Description

qx::QxRepositoryX : list of all repositories registered using qx::register_repository<T> function

Note : you can register automatically all repositories using the macro _QX_AUTO_REGISTER_REPOSITORY into QxConfig.h file.

Definition at line 55 of file QxRepositoryX.h.

## Constructor & Destructor Documentation

qx::QxRepositoryX::QxRepositoryX | ( |  | ) | `[inline, private]`

Definition at line 69 of file QxRepositoryX.h.

virtual qx::QxRepositoryX::~QxRepositoryX | ( |  | ) | `[inline, private, virtual]`

Definition at line 70 of file QxRepositoryX.h.

## Member Function Documentation

static IxRepository* qx::QxRepositoryX::get | ( | const QString & | sKey | ) | `[static]`

void qx::QxRepositoryX::registerRepository | ( | const QString & | sKey,
|  | IxRepository * | pRepository
| ) |  | `[private]`

void qx::QxRepositoryX::unregisterAllRepository | ( |  | ) | `[private]`

void qx::QxRepositoryX::unregisterRepository | ( | const QString & | sKey | ) | `[private]`

## Friends And Related Function Documentation

friend class IxRepository`[friend]`

Definition at line 58 of file QxRepositoryX.h.

friend class QxSingleton< QxRepositoryX >`[friend]`

Definition at line 59 of file QxRepositoryX.h.

## Member Data Documentation

bool qx::QxRepositoryX::m_bUnregisterAllRepository`[protected]`

Flag to know if collection is clearing.

Definition at line 65 of file QxRepositoryX.h.

QHash<QString, IxRepository *> qx::QxRepositoryX::m_mapRepositoryX`[protected]`

Collection of all 'IxRepository' pointer.

Definition at line 63 of file QxRepositoryX.h.

QMutex qx::QxRepositoryX::m_oMutexRepositoryX`[protected]`

Mutex -> 'QxRepositoryX' is thread-safe.

Definition at line 64 of file QxRepositoryX.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDao/QxRepository/QxRepositoryX.h